package fs

import (
	"ZhenTuLocalPassiveAdapter/config"
	"ZhenTuLocalPassiveAdapter/dto"
	"context"
	"time"
)

type Adapter interface {
	GetFileList(ctx context.Context, path string, relDt time.Time) ([]dto.File, error)
}

func GetAdapter() Adapter {
	if config.Config.Record.Storage.Type == "s3" {
		return &S3Adapter{
			StorageConfig: config.Config.Record.Storage,
		}
	} else {
		return &LocalAdapter{
			config.Config.Record.Storage,
		}
	}
}
